<?php

	$tel="595994850808";//Número que debe ser tomado de la bd, tabla "configuracion", columna "whatsapp" (eliminar espacio si existe entre números)
	$mje="Pago a través de Electropar...";// de acuerdo a lo que se deba avisar
	$mensaje_aut = "Atentamente,\n*Nombre de la Empresa*";// mensaje predefinido como pie
	$instanceId = 86327;//Dato que debe tomarse desde la bd tabla "configuracion", columna "instance_id"
	$apiToken = 'S1p9rtihPNHCM2WP95WLzGB4EWJXEfhXeHIIgz3G9f7d5500';//Dato que debe tomarse desde la bd tabla "configuracion", columna "api_token"

	$curl = curl_init();

	curl_setopt_array($curl, [
		CURLOPT_URL => "https://waapi.app/api/v1/instances/" . $instanceId . "/client/action/send-message",
		CURLOPT_RETURNTRANSFER => true,
		CURLOPT_ENCODING => "",
		CURLOPT_MAXREDIRS => 10,
		CURLOPT_TIMEOUT => 30,
		CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
		CURLOPT_CUSTOMREQUEST => "POST",
		CURLOPT_POSTFIELDS => json_encode([
			'chatId' => $tel.'@c.us',
			'message' => $mje.$mensaje_aut
		]),
		CURLOPT_HTTPHEADER => [
			"accept: application/json",
			"authorization: Bearer " . $apiToken,
			"content-type: application/json"
		],
	]);

	$response = curl_exec($curl);
	$err = curl_error($curl);

	curl_close($curl);

	if ($err) {
		$message = 'No se pudo enviar el mensaje por WhatsApp. Contactá con el administrador al ' . $ADMIN_NUMERO;
	} else {
		$message = 'Ya estás registrado. Te hemos enviado tu contraseña por WhatsApp.';
	}
	
?>